DELETE
Use dark colors for code blocksCopy
1
/{orgId}/{itemId}/webhookConnections/{connectionId}
Delete a webhook connection

Deletes a webhook connection and optionally deletes the associated service webhook.

Note:

  • If the service webhook deletion attempt fails, a partial failure will be returned with additional error details. The actual webhook may persist on the item.
  • See Webhooks in ArcGIS Online for the privileges required to manage service webhooks.

Query parameters

NameTypeRequired
tokenstring¦null

Path parameters

NameTypeRequired
connectionIdstring
orgIdstring
itemIdstring

Response status

Examples

Request

Use dark colors for code blocksCopy
1
2
3
# You can also use wget
curl -X DELETE '/{orgId}/{itemId}/webhookConnections/{connectionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN>'

Response

Use dark colors for code blocksCopy
1
2
3
4
5
6
{
  "success": true,
  "connectionId": "string",
  "message": "string",
  "name": "UnableToDetermineHostingServer"
}

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.